/*
 * Copyright 1998-2005, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package org.eclipse.mylar.zest.layouts.exampleUses;

import org.eclipse.mylar.zest.layouts.LayoutStyles;
import org.eclipse.mylar.zest.layouts.algorithms.ForceDirectedAlgorithm;
import org.eclipse.mylar.zest.layouts.algorithms.JungCircleLayoutAlgorithom;
import org.eclipse.mylar.zest.layouts.algorithms.JungFRLayout;
import org.eclipse.mylar.zest.layouts.algorithms.JungISOMLayout;
import org.eclipse.mylar.zest.layouts.algorithms.JungKKLayout;
import org.eclipse.mylar.zest.layouts.algorithms.JungSpringLayout;
import org.eclipse.mylar.zest.layouts.algorithms.MotionLayoutAlgorithm;
import org.eclipse.mylar.zest.layouts.algorithms.TGLayoutAlgorithm;
import org.eclipse.mylar.zest.layouts.algorithms.TreemapLayout;

import ca.uvic.cs.aiseelayout.algorithms.AiseeHierarchicalLayoutAlgorithm;
import ca.uvic.cs.aiseelayout.algorithms.AiseeOrthogonalLayoutAlgorithm;
import ca.uvic.cs.aiseelayout.algorithms.internal.AiseeLayoutFacade;
import ca.uvic.cs.vcglayout.algorithms.VCGHierarchicalLayoutAlgorithm;
import ca.uvic.cs.vcglayout.algorithms.VCGOrthogonalLayoutAlgorithm;
import ca.uvic.cs.vcglayout.algorithms.internal.VCGLayoutFacade;

public class SimpleSwingExample_nonepl extends SimpleSwingExample {

    public static final ForceDirectedAlgorithm FORCE = new ForceDirectedAlgorithm(LayoutStyles.NONE, false, 100);
    public static final TGLayoutAlgorithm TG = new TGLayoutAlgorithm(LayoutStyles.NONE);
    public static final MotionLayoutAlgorithm WOB = new MotionLayoutAlgorithm(LayoutStyles.NONE, 50, 20);
    public static final AiseeOrthogonalLayoutAlgorithm ORTH = new AiseeOrthogonalLayoutAlgorithm(LayoutStyles.NONE);
    public static final AiseeHierarchicalLayoutAlgorithm HIE = new AiseeHierarchicalLayoutAlgorithm(LayoutStyles.NONE);
    public static final VCGOrthogonalLayoutAlgorithm VCGORTH = new VCGOrthogonalLayoutAlgorithm(LayoutStyles.NONE);
    public static final VCGHierarchicalLayoutAlgorithm VCGHIE = new VCGHierarchicalLayoutAlgorithm(LayoutStyles.NONE);
    public static final JungCircleLayoutAlgorithom Circle = new JungCircleLayoutAlgorithom(LayoutStyles.NONE);
    public static final JungSpringLayout JungSpring = new JungSpringLayout( LayoutStyles.NONE );
    public static final JungKKLayout KK = new JungKKLayout( LayoutStyles.NONE );
    public static final JungFRLayout FR = new JungFRLayout( LayoutStyles.NONE );
    public static final JungISOMLayout ISOM = new JungISOMLayout( LayoutStyles.NONE );
    public static final TreemapLayout TREEMAP = new TreemapLayout( LayoutStyles.NONE );
    
    public SimpleSwingExample_nonepl() {
        super();
        FORCE.setStabilize(true);
        addAlgorithm(FORCE, "Prefuse", false);
        TG.setTimeout(3000);
        addAlgorithm(TG, "TG", false);
        addAlgorithm(WOB, "Wobble", false);
        if ( AiseeLayoutFacade.isLoaded() ) {
        	addAlgorithm(ORTH, "Aisee Ortho", false);
        	addAlgorithm(HIE, "Aisee Hierarchy", false);
        }
        if ( VCGLayoutFacade.isLoaded() ) {
        	addAlgorithm(VCGORTH, "VCG Ortho", false);
        	addAlgorithm(VCGHIE, "VCG Hierarchy", false);
        }
        addAlgorithm(Circle, "Circle", false);
        addAlgorithm(JungSpring,"Jung Spring", false);
        addAlgorithm(TREEMAP, "TreeMap", false);
        addAlgorithm(KK, "KK", false);
        addAlgorithm(FR, "FR", false);
        addAlgorithm(ISOM, "ISOM", false);
        
    }

    public static void main(String[] args) {
        (new SimpleSwingExample_nonepl ()).start();
    }
    
    protected void performLayout() {
    	if (super.currentLayoutAlgorithmName.startsWith("Aisee")) {
    		super.currentNodeShape = "rectangle";
    	}
    	super.performLayout();
    }


}
